-- This is the Lua for the screen.
function Create(self)
	self.ActivateDist = 200;
	self.ScreenTimer = Timer();
	self.AnimTimer = Timer();
	self.Width = 46;
	self.Height = 40;
	self.Center = self.Pos + Vector(self.Width/2, self.Height/2);
	self.HereLastFrame = false;
	self.ActorToUse = SweetDreams:GetActorToSave();
	self.PowerSpeed = 100;
	self.StageSpeed = 4000;
	self.AnimSpeed = 300;
	self.AnimStage = 0;
	self.Stage = 1;
end
function Update(self)
	self.ActorToUse = SweetDreams:GetActorToSave();
	--print(self.Frame);
	if MovableMan:IsActor(self.ActorToUse) then
		local Distance;
		Distance = math.sqrt(math.pow(self.Center.X - self.ActorToUse.Pos.X,2) + math.pow(self.Center.Y - self.ActorToUse.Pos.Y,2));
		if Distance < self.ActivateDist and self.Finished ~= true  then
			self.HereLastFrame = true;
			if self.Frame > 2 then
				-- Tutorial code!
				if self.ScreenTimer:IsPastSimMS(self.StageSpeed) then
					self.ScreenTimer:Reset();
					self.AnimTimer:Reset();
					self.AnimStage = 0;
					if self.Stage ~= 5 then
						self.Stage = self.Stage + 1;
					else
						self.Stage = 1;
					end
					self.Frame = (3 * self.Stage) + self.AnimStage;
					--print
				end
				if self.AnimTimer:IsPastSimMS(self.AnimSpeed) then
					self.AnimTimer:Reset();
					if self.AnimStage ~= 2 then
						self.AnimStage = self.AnimStage + 1;
					else
						self.AnimStage = 0;
					end
					self.Frame = (3 * self.Stage) + self.AnimStage;
				end
				
					
			elseif self.Frame == 0 then
				self.AnimTimer:Reset();
				self.Frame = 1;
			elseif self.AnimTimer:IsPastSimMS(self.PowerSpeed) then
				self.AnimTimer:Reset();
				self.Frame = self.Frame + 1;
				if self.Frame == 3 then
					self.ScreenTimer:Reset();
					self.Stage = 1;
					self.AnimStage = 0;
				end
			end
		else
			if self.HereLastFrame == true then
				self.AnimTimer:Reset();
				if self.Frame > 2 then -- If we're still in the turn-on anim, just rewind it
					self.Frame = 2;
				end
			elseif self.Frame ~= 0 then
				if self.AnimTimer:IsPastSimMS(self.PowerSpeed) then
					self.AnimTimer:Reset();
					self.Frame = self.Frame - 1;
				end -- If past anim time
			end -- else if frame isn't 0
			self.HereLastFrame = false;
		end -- else (from if dist is less than activate dist)
	end -- if actor to use exists
end -- Update