-- This is the Lua for the checkpoints (Save Stones).
function Create(self)
	self.SaveDist = 50;
	self.Width = 30; -- It's really 31, but that's not even
	self.Height = 40; -- It's really 41, but that's not even
	self.Center = self.Pos + Vector(self.Width/2, self.Height/2);
	self.Saved = false;
	self.ActorToSave = SweetDreams:GetActorToSave();
end
function Update(self)
	self.ActorToSave = SweetDreams:GetActorToSave();
	if MovableMan:IsActor(self.ActorToSave) then
		local Distance;
		Distance = math.sqrt(math.pow(self.Center.X - self.ActorToSave.Pos.X,2) + math.pow(self.Center.Y - self.ActorToSave.Pos.Y,2));
		if Distance < self.SaveDist and self.Saved ~= true then
			Save(self); -- Is this how OOP (Google it) works in Lua?  At least in other languages you don't need to give methods self.
		end
	end
	-- Can't find any other way of doing it...
	if self.Mass == 0 then
		self.Saved = false;
		self.Mass = 2;
	end
end
function Save(self)
	SweetDreams:ResetCPs();
	self.Mass = 1;
	self.Saved = true;
	Lighten(self);
end
function Lighten(self)
	self.Frame = 1;
end
function Darken(self)
	self.Frame = 0;
end
function UnSave(self)
	self.Saved = false;
	Darken(self);
end
function IsSaved(self)
	return self.Saved;
end